EntityTitleLookup should return Titles with the appropriate interwiki prefix for foreign EntityIds.
Closed, ResolvedPublic

Description

The Title objects returned by EntityTitleLookup for foreign EntityIds should produce a title that refers to the respective target wiki. In order to achieve this, two things must be known:

  1. the interwiki prefix for the target repo. This should, by convention, be the same as the repo name. But we'll need a mechanism to enforce this, or to provide a mapping in case this assumption doesn't hold.
  2. the page title on the target wiki. This means we need to either know the namespace name for each entity type on the target wiki, or we need a way to link without knowing the namespace name. This could be achieved by each repo exposing Special:EntityPage, which will redirect to the correct local page given an entity ID.
daniel created this task.Dec 16 2016, 9:27 PM
daniel removed a project: Epic.

Change 328388 had a related patch set uploaded (by Daniel Kinzler):
Make EntityTitleLookup return interwiki Titles for foreign EntityIds.

https://gerrit.wikimedia.org/r/328388

Change 328388 merged by jenkins-bot:
Make EntityTitleLookup return interwiki Titles for foreign EntityIds.

https://gerrit.wikimedia.org/r/328388

Aleksey_WMDE moved this task from Proposed to Doing on the Wikidata-Sprint board.Dec 20 2016, 6:28 PM
daniel closed this task as Resolved.Dec 20 2016, 9:16 PM
daniel claimed this task.

The current implementation links to foo:Special:EntityPage/Q12345. That page still needs to be implemented, see T153499.

WMDE-leszek moved this task from Doing to Done on the Wikidata-Sprint board.Feb 2 2017, 8:21 AM